<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method='html' version='1.0' encoding='UTF-8' indent='yes'/>

<xsl:template match="/">
  <html>
  <body>
  <h2>My Event Data</h2>
    <table border="1">
      <tr bgcolor="#9acd32"> 
	<th align="left">Date</th>
	<th align="left">Time</th>
        <th align="left">Alert time (mm)</th>
        <th align="left">Description</th>
      </tr>
      <xsl:for-each select="calendar/event">
      <xsl:sort data-type="text" order="ascending" />
      <tr>
        <td align="right"><xsl:value-of select="date"/></td>
	<td><xsl:value-of select="time"/></td>
	<td align="center"><xsl:value-of select="alert"/></td>
        <td><xsl:value-of select="description"/></td>
      </tr>

      </xsl:for-each>
    </table>
  </body>
  </html>
</xsl:template>
</xsl:stylesheet>